%global pypi_name pytest-mypy

Name:           python-%{pypi_name}
Version:        0.10.3
Release:        %mkrel 2
Summary:        Mypy static type checker plugin for Pytest
Group:          Development/Python
License:        MIT license
URL:            https://github.com/dbader/pytest-mypy/
Source0:        %{pypi_source}
Patch0:         indirect-test-new-mypy.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(attrs)
BuildRequires:  python3dist(filelock)
BuildRequires:  python3dist(mypy)
BuildRequires:  python3dist(pexpect)

%description
Mypy static type checker plugin for pytest.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Mypy static type checker plugin for pytest.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_mypy

%check
#pytest -s

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE
%doc changelog.md CONTRIBUTING.rst README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 0.10.3-2.mga10
+ Revision: 2158496
- rebuild for python3.13

* Sat Feb 01 2025 daviddavid <daviddavid> 0.10.3-1.mga10
+ Revision: 2144083
- new version: 0.10.3
- switch to pyproject
- use pytest

* Tue Dec 19 2023 papoteur <papoteur> 0.9.1-4.mga10
+ Revision: 2019337
- Mass Rebuild - Python 3.12
+ wally <wally>
- rebuild for py3.12

* Sat Mar 26 2022 umeabot <umeabot> 0.9.1-2.mga9
+ Revision: 1828485
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 0.9.1-1.mga9
+ Revision: 1775882
- version 0.9.1
- rebuild for python-3.10

* Sun Mar 21 2021 guillomovitch <guillomovitch> 0.8.0-1.mga9
+ Revision: 1706779
- imported package python-pytest-mypy

